### Hierarchy

- TabHeaders

### Implements

- AfterContentInit
- OnChanges
- OnInit

## Index

### Inputs

- ariaLabel
- ariaLabelledby
- cacheActive
- contentAfter
- contentBefore
- followFocus
- skeleton
- tabInput
- translations
- type

### Constructors

- constructor

### Properties

- OVERFLOW_BUTTON_OFFSET
- allTabHeaders
- ariaLabel
- ariaLabelledby
- cacheActive
- changeDetectorRef
- contentAfter
- contentBefore
- currentSelectedTab
- elementRef
- eventService
- firstVisibleTab
- followFocus
- headerContainer
- i18n
- leftOverflowNavButton
- overflowNavInterval
- rightOverflowNavButton
- skeleton
- tabInput
- tabQuery
- tabs
- translations
- type

### Accessors

- hasHorizontalOverflow
- leftOverflowNavButtonHidden
- rightOverflowNavButtonHidden

### Methods

- getSelectedTab
- handleOverflowNavClick
- handleOverflowNavMouseDown
- handleOverflowNavMouseUp
- handleScroll
- keyboardInput
- ngAfterContentInit
- ngOnChanges
- ngOnInit
- onTabFocus
- selectTab
- setFirstTab

## Constructors

### constructor

- new TabHeaders(elementRef: ElementRef, changeDetectorRef: ChangeDetectorRef, eventService: EventService, i18n: I18n): TabHeaders

- - Defined in src/tabs/tab-headers.component.ts:219

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### changeDetectorRef: ChangeDetectorRef

  - ##### eventService: EventService

  - ##### i18n: I18n

  #### Returns TabHeaders

## Properties

### OVERFLOW_BUTTON_OFFSET

OVERFLOW_BUTTON_OFFSET: number = 40

- Defined in src/tabs/tab-headers.component.ts:217

### allTabHeaders

@ViewChildren({"selector":"tabItem"})
allTabHeaders: QueryList<ElementRef>

- Defined in src/tabs/tab-headers.component.ts:194

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/tabs/tab-headers.component.ts:157

### ariaLabelledby

@Input()
ariaLabelledby: string

- Defined in src/tabs/tab-headers.component.ts:161

### cacheActive

@Input()
cacheActive: boolean = false

- Defined in src/tabs/tab-headers.component.ts:145

### Protected changeDetectorRef

changeDetectorRef: ChangeDetectorRef

- Defined in src/tabs/tab-headers.component.ts:223

### contentAfter

@Input()
contentAfter: TemplateRef<any>

- Defined in src/tabs/tab-headers.component.ts:164

### contentBefore

@Input()
contentBefore: TemplateRef<any>

- Defined in src/tabs/tab-headers.component.ts:163

### currentSelectedTab

currentSelectedTab: number

- Defined in src/tabs/tab-headers.component.ts:198

### Protected elementRef

elementRef: ElementRef

- Defined in src/tabs/tab-headers.component.ts:222

### Protected eventService

eventService: EventService

- Defined in src/tabs/tab-headers.component.ts:224

### firstVisibleTab

firstVisibleTab: number = 0

- Defined in src/tabs/tab-headers.component.ts:190

### followFocus

@Input()
followFocus: boolean

- Defined in src/tabs/tab-headers.component.ts:149

### headerContainer

@ViewChild({"selector":"tabList","opts":"{ static: true }"})
headerContainer: any

- Defined in src/tabs/tab-headers.component.ts:174

### Protected i18n

i18n: I18n

- Defined in src/tabs/tab-headers.component.ts:225

### leftOverflowNavButton

@ViewChild({"selector":"leftOverflowNavButton","opts":"{ static: true }"})
leftOverflowNavButton: any

- Defined in src/tabs/tab-headers.component.ts:178

### Private overflowNavInterval

overflowNavInterval: any

- Defined in src/tabs/tab-headers.component.ts:219

### rightOverflowNavButton

@ViewChild({"selector":"rightOverflowNavButton","opts":"{ static: true }"})
rightOverflowNavButton: any

- Defined in src/tabs/tab-headers.component.ts:176

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/tabs/tab-headers.component.ts:153

### tabInput

@Input({"bindingPropertyName":"tabs"})
tabInput: QueryList<Tab>

- Defined in src/tabs/tab-headers.component.ts:140

### tabQuery

@ContentChildren({"selector":"Tab"})
tabQuery: QueryList<Tab>

- Defined in src/tabs/tab-headers.component.ts:182

### tabs

tabs: QueryList<Tab>

- Defined in src/tabs/tab-headers.component.ts:186

### translations

@Input()
translations: any = this.i18n.get().PAGINATION

- Defined in src/tabs/tab-headers.component.ts:168

### type

@Input()
type: "default" | "container" = "default"

- Defined in src/tabs/tab-headers.component.ts:166

## Accessors

### hasHorizontalOverflow

hasHorizontalOverflow:

- Defined in src/tabs/tab-headers.component.ts:200

### leftOverflowNavButtonHidden

leftOverflowNavButtonHidden:

- Defined in src/tabs/tab-headers.component.ts:205

### rightOverflowNavButtonHidden

rightOverflowNavButtonHidden:

- Defined in src/tabs/tab-headers.component.ts:210

## Methods

### getSelectedTab

- getSelectedTab(): any

- - Defined in src/tabs/tab-headers.component.ts:325

  #### Returns any

### handleOverflowNavClick

- handleOverflowNavClick(direction: number, multiplier?: number): void

- - Defined in src/tabs/tab-headers.component.ts:351

  #### Parameters

  - ##### direction: number

  - ##### Default value multiplier: number = 15

  #### Returns void

### handleOverflowNavMouseDown

- handleOverflowNavMouseDown(direction: number): void

- - Defined in src/tabs/tab-headers.component.ts:375

  #### Parameters

  - ##### direction: number

  #### Returns void

### handleOverflowNavMouseUp

- handleOverflowNavMouseUp(): void

- - Defined in src/tabs/tab-headers.component.ts:396

  #### Returns void

### handleScroll

- handleScroll(): void

- - Defined in src/tabs/tab-headers.component.ts:347

  #### Returns void

### keyboardInput

@HostListener({"eventName":"keydown","args":"[$event]"})

- keyboardInput(event: any): void

- - Defined in src/tabs/tab-headers.component.ts:233

  #### Parameters

  - ##### event: any

  #### Returns void

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/tabs/tab-headers.component.ts:296

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/tabs/tab-headers.component.ts:310

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/tabs/tab-headers.component.ts:292

  #### Returns void

### onTabFocus

- onTabFocus(ref: HTMLElement, index: number): void

- - Defined in src/tabs/tab-headers.component.ts:319

  #### Parameters

  - ##### ref: HTMLElement

  - ##### index: number

  #### Returns void

### selectTab

- selectTab(ref: HTMLElement, tab: Tab, tabIndex: number): void

- - Defined in src/tabs/tab-headers.component.ts:336

  #### Parameters

  - ##### ref: HTMLElement

  - ##### tab: Tab

  - ##### tabIndex: number

  #### Returns void

### Protected setFirstTab

- setFirstTab(): void

- - Defined in src/tabs/tab-headers.component.ts:403

  #### Returns void

Generated using TypeDoc